Announcement

Collapse
No announcement yet.

User CP: unexpected T_STRING

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • User CP: unexpected T_STRING

    Ooops! This thread should be in the 3.6 Troubleshooting forum. Sorry about that.


    On a fresh install of 3.6.0 Beta 4, no data/plugins/hacks/modifications, I get the following error when accessing the Plugin pages in the User CP:

    Code:
     Parse error: syntax error, unexpected T_STRING in /home/bleh/public_html/bleh/admincp_bleh/plugin.php on line 2418
    When I upload the plugin.php from 3.6.0 Beta 3 it corrects the problem.

    I've re-uploaded the entire 3.6.0 Beta 4 admincp directory files and the problem remains. Any insight to the error?

  • #2
    As far as I can tell this has to be from a plugin or modified file. Try reuploading the original files.
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment


    • #3
      Thanks Steve for replying.

      Just to be sure I've not only re-uploaded all of the files but I did another complete, fresh install (on a newly created DB) and the error still appears.

      No modifications/plugins or non-vB files added.

      Comment


      • #4
        Honestly, I don't see how this could be otherwise everyone running beta 4 would be having this problem. If it's not the files or plugins, then it's the templates.
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          Update successful:

          I did a comparison of Beta 3 and Beta 4 plugin.php files and there is a parsing error on the side of vB with Beta 4. Here is the error code:

          Code:
            // the <label> tags in the product type are for 3.6 bug 349
            $dependency_types = array(
             'php'       => $vbphrase['php_version'],
             'mysql'     => $vbphrase['mysql_version'],
             'vbulletin' => $vbphrase['vbulletin_version'],
             'product'   => $vbphrase['product_id'] . '</label>&nbsp;<input type="text" class="bginput" name="parentproductid" id="it_parentproductid" value="" size="15" maxlength="25" tabindex="1" /><label>',
            );
          Notice </label> and <label> tags are reversed. Here is my fix:

          Code:
            // the <label> tags in the product type are for 3.6 bug 349
            $dependency_types = array(
             'php'       => $vbphrase['php_version'],
             'mysql'     => $vbphrase['mysql_version'],
             'vbulletin' => $vbphrase['vbulletin_version'],
             'product'   => $vbphrase['product_id'] . '<label>&nbsp;<input type="text" class="bginput" name="parentproductid" id="it_parentproductid" value="" size="15" maxlength="25" tabindex="1" /></label>',
            );
          Now the plugin.php file works in my User CP. I do not know for certain if this is why the error occured in the first place.

          Comment


          • #6
            If you feel this is a bug, then please feel free to report it in the 3.6 Bug Tracker. It wouldn't explain hy no one else running Beta 4 is getting this error though.
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment

            widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
            Working...
            X